Skip to Content
EIS
API Referencev1VoIP DSS

Get DSS Trunks by Customer

GET
/v1/voip/dss/trunk/customer/{customerId}

Retrieve DSS trunks for a specific customer.

Path Parameters

customerId*integer

Response Body

DSS trunks retrieved successfully.

application/json
  1. response
[index: integer]?

DSS registered SIP trunk as returned by VoipController (Subscriber).

Example Request
curl -X GET 'https://api.eis.it/v1/voip/dss/trunk/customer/0'
Example Response
[  {    "trunkType": "REGISTER",    "id": 0,    "sbcId": 0,    "nome": "string",    "username": "string",    "maxChannel": 0,    "trafficLimit": 0,    "traffic_consumed": 0.1,    "permanentBk": true,    "bkNumber": "string",    "blocked": true,    "dualIdentity": true,    "to_in_ru": true,    "checkPrefix": true,    "mainNumber": "string",    "lcrId": 0,    "domain": "string",    "organizationId": 0,    "partnerName": "string",    "registration": true,    "idCustomer": 0,    "customerName": "string",    "companyName": "string",    "presetId": 0,    "actionObject": {      "moduleId": 1,      "organizationId": 1,      "objectType": "string",      "objectId": "string",      "context": {        "property1": "string",        "property2": "string"      }    }  }]